SwapTarget

Consistent identity - Upload target image

Deprecation notice

This endpoint is deprecated. We recommend using alternative endpoints to ensure continued support and compatibility.
POST
/api/swap/target

Reserved for premium users

Example:

import requestsimport jsonurl_api = 'https://api.piktid.com/api'target_full_path = 'url_of_your_target_image'options = {}response = requests.post(url_api+'/swap/target',headers={'Authorization': 'Bearer '+TOKEN},files={'target': open(target_full_path, 'rb')},data={'options':json.dumps(options)},)target_name = response_json = json.loads(response.text).get('target_name')

Authorization

token_auth_2
headerAuthorizationBearer <token>

Request Body

application/json
  1. body
target?unknown
options?string
flag_hair?boolean

Response Body

Success

application/json
  1. response
target_name?string
curl -X POST "https://example.com/api/swap/target" \  -H "Content-Type: application/json" \  -d '{}'
{  "target_name": "string"}